2012-09-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.14.

2012-09-24  Simon Josefsson <simon@josefsson.org>

	* lib/element.c, lib/libtasn1.map: Fix syntax-check warnings.

2012-09-24  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/gnupload, gl/Makefile.am,
	gl/errno.in.h, gl/fstat.c, gl/gettext.h, gl/m4/errno_h.m4,
	gl/m4/extensions.m4, gl/m4/getopt.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/largefile.m4,
	gl/m4/manywarnings.m4, gl/m4/multiarch.m4, gl/m4/nocrash.m4,
	gl/m4/stdio_h.m4, gl/m4/sys_stat_h.m4, gl/m4/time_h.m4,
	gl/stdint.in.h, gl/stdio-impl.h, gl/stdlib.in.h, gl/unistd.in.h,
	lib/gllib/stdint.in.h, lib/glm4/extensions.m4,
	lib/glm4/gnulib-cache.m4, lib/glm4/gnulib-common.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/multiarch.m4,
	lib/glm4/visibility.m4, maint.mk: Update gnulib files.

2012-09-24  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.13.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright year.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generated.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* lib/element.c: Doc fix.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* lib/element.c: Add Since: marker to asn1_read_node_value.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Fix namespace of newly added struct.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump because of new API.

2012-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2012-09-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated news

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.map: added new symbol

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h: no need to reserve.

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/element.c, lib/int.h, lib/libtasn1.h: Node type field is now
	included in ASN1_DATA_NODE.

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/element.c, lib/libtasn1.h, lib/libtasn1.map: Added
	asn1_read_node_value()

2012-08-18  Simon Josefsson <simon@josefsson.org>

	* tests/Test_indefinite.c, tests/Test_simple.c: Fix compilation
	warnings.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.12.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, windows/libtasn14win.mk: Fix release targets.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.13.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/libtasn1.h: Bump versions.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/gendocs_template,
	gl/override/doc/gendocs_template.diff: Use devhelp2 format.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog, cfg.mk: Don't store ChangeLog in git, it is
	auto-generated.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c, lib/gstr.c: Fix syntax-check warnings.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* build-aux/snippet/_Noreturn.h, gl/Makefile.am, gl/fstat.c,
	gl/ftello.c, gl/lseek.c, gl/m4/fseeko.m4, gl/m4/fstat.m4,
	gl/m4/ftello.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/largefile.m4, gl/m4/lseek.m4, gl/m4/malloc.m4,
	gl/m4/manywarnings.m4, gl/m4/off_t.m4, gl/m4/realloc.m4,
	gl/m4/stdio_h.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_types_h.m4,
	gl/m4/unistd_h.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h, gl/sys_stat.in.h,
	gl/sys_types.in.h, gl/unistd.in.h, lib/gllib/stdint.in.h,
	lib/gllib/string.in.h, lib/glm4/gnulib-common.m4,
	lib/glm4/warn-on-use.m4, maint.mk: Update gnulib files.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Silence compiler warnings about unsigned vs signed
	comparisons.

2012-04-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix.

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/libtasn1.h: long is always signed.

2012-04-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: Simplified the overflow tests by using unsigned
	int numbers, suggested by Niels Moeller.

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Test_overflow.c: Added additional test case

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/decoding.c, tests/Test_overflow.c: Added overflow
	detection that does not depend on specific compiler, and
	asn1_get_der_length() verifies the length of the input data in small
	numbers as well.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.12.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, lib/coding.c, lib/decoding.c,
	lib/errors.c, lib/int.h, lib/parser_aux.c, lib/version.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_overflow.c, tests/Test_simple.c: Indent code.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, maint.mk: Update gnulib files.

2012-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Give credit.

2012-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention severity.

2012-03-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore, lib/coding.c, lib/decoding.c, lib/libtasn1.h,
	tests/Test_overflow.c: Simplify overflow check.

2012-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am, tests/Test_overflow.c: Add self-check.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: for some reason the tot < 0 test wasn't successful
	on negative results. Replaced with tot < ret.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: the change was reverted

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: reverted to the old ABI.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/libtasn1.h: reverted to the old
	ABI.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: check for overflows

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/libtasn1.h: int is signed.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: bumped shared lib version

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: Added asn1_get_length_der_checked() to put some of
	the common checks in a single function.

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: cleanups in asn1_der_decoding_element().

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/coding.c, lib/decoding.c, lib/libtasn1.h: API is based
	on integers instead of long to prevent errors in systems where
	sizeof(int)!=sizeof(long)

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: asn1_get_length_der() may handle up to signed long
	values.

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c: updated to bison 2.5

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: better cleanup in decoding.

2012-03-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-03-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, NEWS, build-aux/update-copyright, gl/errno.in.h,
	gl/gettext.h, gl/lseek.c, gl/malloc.c, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/read-file.c, gl/read-file.h, gl/stdarg.in.h, gl/stddef.in.h,
	gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h, gl/sys_stat.in.h,
	gl/time.in.h, gl/unistd.in.h, gl/version-etc.h,
	lib/gllib/stddef.in.h, lib/gllib/stdint.in.h,
	lib/gllib/string.in.h, lib/gllib/strverscmp.c, maint.mk: Update
	gnulib files.

2012-01-23  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, Makefile.am, NEWS, README, README-alpha,
	THANKS, cfg.mk, configure.ac, doc/Makefile.am, doc/TODO,
	doc/cyclo/Makefile.am, doc/libtasn1.texi,
	examples/CertificateExample.c, examples/CrlExample.c,
	examples/Makefile.am, examples/asn1Coding_test.asn,
	examples/pkix.asn, lib/ASN1.y, lib/Makefile.am, lib/coding.c,
	lib/decoding.c, lib/element.c, lib/element.h, lib/errors.c,
	lib/gstr.c, lib/gstr.h, lib/int.h, lib/libtasn1.h,
	lib/libtasn1.map, lib/libtasn1.pc.in, lib/parser_aux.c,
	lib/parser_aux.h, lib/structure.c, lib/structure.h, lib/version.c,
	m4/update-header-version.m4, src/Makefile.am, src/asn1Coding.c,
	src/asn1Decoding.c, src/asn1Parser.c, tests/Makefile.am,
	tests/Test_encoding.asn, tests/Test_encoding.c,
	tests/Test_errors.c, tests/Test_indefinite.c,
	tests/Test_parser.asn, tests/Test_parser.c, tests/Test_simple.c,
	tests/Test_tree.asn, tests/Test_tree.c, tests/crlf, tests/pkix.asn,
	tests/threadsafety: Bump copyright years.

2012-01-23  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gnupload, build-aux/pmccabe.css,
	build-aux/pmccabe2html, build-aux/snippet/arg-nonnull.h,
	build-aux/snippet/c++defs.h, build-aux/snippet/warn-on-use.h,
	build-aux/update-copyright, build-aux/useless-if-before-free,
	build-aux/vc-list-files, doc/fdl-1.3.texi, doc/gendocs_template,
	gl/Makefile.am, gl/errno.in.h, gl/fstat.c, gl/ftell.c, gl/ftello.c,
	gl/getopt.c, gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h,
	gl/gettext.h, gl/lseek.c, gl/m4/00gnulib.m4, gl/m4/autobuild.m4,
	gl/m4/errno_h.m4, gl/m4/extensions.m4, gl/m4/fseeko.m4,
	gl/m4/fstat.m4, gl/m4/ftell.m4, gl/m4/ftello.m4, gl/m4/getopt.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/include_next.m4,
	gl/m4/largefile.m4, gl/m4/longlong.m4, gl/m4/lseek.m4,
	gl/m4/malloc.m4, gl/m4/manywarnings.m4, gl/m4/msvc-inval.m4,
	gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4, gl/m4/nocrash.m4,
	gl/m4/read-file.m4, gl/m4/realloc.m4, gl/m4/ssize_t.m4,
	gl/m4/stdarg.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/time_h.m4, gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4,
	gl/m4/version-etc.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/m4/wchar_t.m4, gl/malloc.c, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/progname.c, gl/progname.h,
	gl/read-file.c, gl/read-file.h, gl/realloc.c, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h,
	gl/stdlib.in.h, gl/sys_stat.in.h, gl/time.in.h, gl/unistd.in.h,
	gl/version-etc-fsf.c, gl/version-etc.c, gl/version-etc.h,
	lib/gllib/Makefile.am, lib/gllib/dummy.c, lib/gllib/stddef.in.h,
	lib/gllib/stdint.in.h, lib/gllib/string.in.h,
	lib/gllib/strverscmp.c, lib/glm4/00gnulib.m4,
	lib/glm4/extensions.m4, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/gnulib-tool.m4, lib/glm4/include_next.m4,
	lib/glm4/ld-version-script.m4, lib/glm4/longlong.m4,
	lib/glm4/multiarch.m4, lib/glm4/stddef_h.m4, lib/glm4/stdint.m4,
	lib/glm4/string_h.m4, lib/glm4/strverscmp.m4,
	lib/glm4/visibility.m4, lib/glm4/warn-on-use.m4,
	lib/glm4/wchar_t.m4, maint.mk: Update gnulib files.

2011-12-06  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/getopt.m4, gl/m4/gnulib-comp.m4,
	gl/m4/manywarnings.m4, gl/m4/unistd_h.m4, gl/unistd.in.h, maint.mk: 
	Update gnulib files.

2011-12-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Drop unnecessary configure.ac checks.

2011-12-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.11.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.10.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.11.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, gl/m4/valgrind-tests.m4,
	gl/override/m4/valgrind-tests.m4.diff, lib/glm4/gnulib-common.m4: 
	Fix valgrind check.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Generalize gnupload command.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Generalize cyclo rules.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* .gitignore, cfg.mk: Make Windows build part of release process.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Reorder.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Fix srcdir!=builddir gtk-doc build.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix syntax-check.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* .gitignore, build-aux/gnupload, cfg.mk, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Improve release rules.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Fix links in output.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4: Update gnulib files.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/m4/manywarnings.m4: Update manywarnings again.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4: Update gnulib files.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Remove unnecessary (?) dependency on glib/gobject.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* .gitignore, cfg.mk, configure.ac, doc/reference/Makefile.am,
	doc/reference/libtasn1-docs.sgml, doc/reference/version.xml.in,
	gtk-doc.make, m4/gtk-doc.m4: Update GTK-DOC infrastructure.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/coding.c, lib/decoding.c, lib/element.c,
	lib/element.h, lib/int.h, lib/parser_aux.c, lib/structure.c,
	tests/Makefile.am, tests/Test_errors.c, tests/Test_indefinite.c,
	tests/Test_parser.c, tests/Test_simple.c, tests/Test_tree.c: Silence
	warnings.

2011-11-19  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use silent rules.  Drop unneeded check for perl
	path.

2011-11-19  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2011-11-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gdoc: build: Don't hard code path to perl in doc/gdoc.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* tests/Test_tree.c: Add const keyword.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, examples/CrlExample.c: Silence some
	warnings.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* tests/Test_simple.c: Cleanup and add some more test vectors.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: Mark bit string bitmask variable with static and
	unsigned keywords.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am, tests/Test_simple.c: tests: Added
	self-test of bit string functions.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, doc/fdl-1.3.texi, gl/Makefile.am, gl/errno.in.h,
	gl/m4/stdlib_h.m4, gl/stdlib.in.h, maint.mk: Update gnulib files.

2011-10-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, windows/libtasn14win.mk: build: Added
	windows/libtasn14win.mk rules to produce Windows binaries.

2011-10-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Drop igloo, the directory is gone from the server.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.10.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: libtasn1.texi: Add examples to asn1Coding and
	asn1Decoding tools.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update copyright years.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libtasn1.texi, src/asn1Decoding.c: asn1Decoding: Drop
	the useless -c parameter.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/asn1Coding.c: asn1Coding: Implement the -c parameter.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Remove unused variable.

2011-10-25  Simon Josefsson <simon@josefsson.org>

	* README-alpha: README-alpha: Mention make as dependency.

2011-09-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/errno.in.h, gl/fstat.c, gl/ftell.c,
	gl/gettext.h, gl/lseek.c, gl/m4/errno_h.m4, gl/m4/extensions.m4,
	gl/m4/fstat.m4, gl/m4/getopt.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/include_next.m4, gl/m4/largefile.m4, gl/m4/lseek.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/nocrash.m4,
	gl/m4/ssize_t.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/sys_stat_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/msvc-inval.c, gl/msvc-inval.h, gl/msvc-nothrow.c,
	gl/msvc-nothrow.h, gl/stdio.in.h, gl/stdlib.in.h, gl/sys_stat.in.h,
	gl/unistd.in.h, lib/gllib/Makefile.am, lib/gllib/string.in.h,
	lib/glm4/extensions.m4, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/include_next.m4, lib/glm4/stdint.m4, lib/glm4/string_h.m4,
	lib/glm4/warn-on-use.m4, maint.mk: Update gnulib files.

2011-08-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c: small optimization

2011-07-14  Simon Josefsson <simon@josefsson.org>

	* build-aux/arg-nonnull.h, build-aux/c++defs.h,
	build-aux/snippet/_Noreturn.h, build-aux/snippet/arg-nonnull.h,
	build-aux/snippet/c++defs.h, build-aux/snippet/warn-on-use.h,
	build-aux/vc-list-files, build-aux/warn-on-use.h, gl/Makefile.am,
	gl/errno.in.h, gl/ftell.c, gl/getopt.c, gl/getopt.in.h,
	gl/m4/errno_h.m4, gl/m4/fseeko.m4, gl/m4/ftell.m4, gl/m4/ftello.m4,
	gl/m4/getopt.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/lseek.m4, gl/m4/malloc.m4,
	gl/m4/read-file.m4, gl/m4/realloc.m4, gl/m4/stdint.m4,
	gl/m4/unistd_h.m4, gl/m4/warnings.m4, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/sys_stat.in.h, gl/time.in.h, gl/unistd.in.h,
	lib/gllib/Makefile.am, lib/gllib/stddef.in.h,
	lib/gllib/stdint.in.h, lib/gllib/string.in.h,
	lib/glm4/gnulib-cache.m4, lib/glm4/gnulib-common.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/stdint.m4,
	lib/glm4/strverscmp.m4, maint.mk: Update gnulib files.

2011-05-03  Simon Josefsson <simon@josefsson.org>

	* build-aux/vc-list-files, cfg.mk, gl/m4/gnulib-comp.m4,
	gl/m4/manywarnings.m4, gl/m4/stdio_h.m4, gl/stdlib.in.h,
	lib/glm4/gnulib-comp.m4, maint.mk: Update gnulib files.

2011-04-24  Simon Josefsson <simon@josefsson.org>

	* .x-sc_GPL_version, .x-sc_program_name, .x-sc_prohibit_atoi_atof,
	.x-sc_prohibit_empty_lines_at_EOF, .x-sc_space_tab,
	.x-sc_texinfo_acronym, .x-sc_trailing_blank,
	.x-sc_useless_cpp_parens, COPYING.LIB, README,
	build-aux/arg-nonnull.h, build-aux/c++defs.h, build-aux/gendocs.sh,
	build-aux/useless-if-before-free, build-aux/warn-on-use.h, cfg.mk,
	doc/gendocs_template, doc/libtasn1.texi, gl/Makefile.am,
	gl/dummy.c, gl/getopt.in.h, gl/getopt_int.h, gl/gettext.h,
	gl/m4/asm-underscore.m4, gl/m4/fseeko.m4, gl/m4/getopt.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/include_next.m4, gl/m4/longlong.m4, gl/m4/multiarch.m4,
	gl/m4/stdarg.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4, gl/m4/wchar_h.m4,
	gl/m4/wint_t.m4, gl/malloc.c,
	gl/override/m4/valgrind-tests.m4.diff, gl/realloc.c,
	gl/stdint.in.h, gl/stdio-write.c, gl/stdio.in.h, gl/stdlib.in.h,
	gl/sys_stat.in.h, gl/time.in.h, gl/unistd.in.h, gl/version-etc.h,
	gl/wchar.in.h, lib/gllib/Makefile.am, lib/gllib/stdint.in.h,
	lib/gllib/string.in.h, lib/gllib/wchar.in.h,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/include_next.m4, lib/glm4/longlong.m4,
	lib/glm4/multiarch.m4, lib/glm4/stddef_h.m4, lib/glm4/stdint.m4,
	lib/glm4/string_h.m4, lib/glm4/wchar_h.m4, lib/glm4/wint_t.m4,
	maint.mk: Update gnulib files and fix syntax-check warnings.

2011-01-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2011-01-08  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, ChangeLog, Makefile.am, NEWS, README,
	README-alpha, THANKS, cfg.mk, configure.ac, doc/Makefile.am,
	doc/TODO, doc/cyclo/Makefile.am, doc/gendocs_template,
	doc/libtasn1.texi, examples/CertificateExample.c,
	examples/CrlExample.c, examples/Makefile.am,
	examples/asn1Coding_test.asn, examples/pkix.asn, lib/ASN1.c,
	lib/ASN1.y, lib/Makefile.am, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/element.h, lib/errors.c, lib/gstr.c, lib/gstr.h,
	lib/int.h, lib/libtasn1.h, lib/libtasn1.map, lib/libtasn1.pc.in,
	lib/parser_aux.c, lib/parser_aux.h, lib/structure.c,
	lib/structure.h, lib/version.c, m4/update-header-version.m4,
	src/Makefile.am, src/asn1Coding.c, src/asn1Decoding.c,
	src/asn1Parser.c, tests/Makefile.am, tests/Test_encoding.asn,
	tests/Test_encoding.c, tests/Test_errors.c,
	tests/Test_indefinite.c, tests/Test_parser.asn,
	tests/Test_parser.c, tests/Test_tree.asn, tests/Test_tree.c,
	tests/crlf, tests/pkix.asn: Update copyright years.

2011-01-08  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/arg-nonnull.h, build-aux/c++defs.h,
	build-aux/gendocs.sh, build-aux/pmccabe2html,
	build-aux/update-copyright, build-aux/useless-if-before-free,
	build-aux/vc-list-files, build-aux/warn-on-use.h, gl/Makefile.am,
	gl/ftello.c, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_int.h, gl/gettext.h, gl/lseek.c, gl/m4/00gnulib.m4,
	gl/m4/asm-underscore.m4, gl/m4/autobuild.m4, gl/m4/extensions.m4,
	gl/m4/ftello.m4, gl/m4/getopt.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/include_next.m4, gl/m4/longlong.m4, gl/m4/lseek.m4,
	gl/m4/malloc.m4, gl/m4/manywarnings.m4, gl/m4/multiarch.m4,
	gl/m4/read-file.m4, gl/m4/realloc.m4, gl/m4/stdarg.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/sys_stat_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4, gl/m4/version-etc.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/malloc.c, gl/progname.c,
	gl/progname.h, gl/read-file.c, gl/read-file.h, gl/realloc.c,
	gl/stdarg.in.h, gl/stddef.in.h, gl/stdint.in.h, gl/stdio-impl.h,
	gl/stdio-write.c, gl/stdio.in.h, gl/stdlib.in.h, gl/sys_stat.in.h,
	gl/time.in.h, gl/unistd.in.h, gl/version-etc-fsf.c,
	gl/version-etc.c, gl/version-etc.h, gl/wchar.in.h,
	lib/gllib/Makefile.am, lib/gllib/dummy.c, lib/gllib/stddef.in.h,
	lib/gllib/stdint.in.h, lib/gllib/string.in.h,
	lib/gllib/strverscmp.c, lib/gllib/wchar.in.h, lib/glm4/00gnulib.m4,
	lib/glm4/extensions.m4, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/gnulib-tool.m4, lib/glm4/include_next.m4,
	lib/glm4/ld-version-script.m4, lib/glm4/longlong.m4,
	lib/glm4/multiarch.m4, lib/glm4/stddef_h.m4, lib/glm4/stdint.m4,
	lib/glm4/string_h.m4, lib/glm4/strverscmp.m4,
	lib/glm4/visibility.m4, lib/glm4/warn-on-use.m4,
	lib/glm4/wchar_h.m4, lib/glm4/wchar_t.m4, lib/glm4/wint_t.m4,
	maint.mk: Update gnulib files.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.9.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.9.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, lib/ASN1.c, lib/ASN1.y, lib/coding.c,
	lib/element.c, lib/structure.c: Doc fix.  Reported by Jeffrey Walton <noloader@gmail.com>.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Ignore more.

2010-12-06  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gendocs.sh, build-aux/pmccabe.css,
	build-aux/pmccabe2html, gl/Makefile.am, gl/getopt.in.h,
	gl/gettext.h, gl/m4/gnulib-common.m4, gl/m4/include_next.m4,
	gl/m4/unistd_h.m4, gl/m4/wchar_h.m4, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/sys_stat.in.h, gl/time.in.h, gl/unistd.in.h, gl/wchar.in.h,
	lib/gllib/Makefile.am, lib/gllib/stddef.in.h,
	lib/gllib/stdint.in.h, lib/gllib/string.in.h, lib/gllib/wchar.in.h,
	lib/glm4/gnulib-common.m4, lib/glm4/include_next.m4,
	lib/glm4/string_h.m4, lib/glm4/wchar_h.m4, maint.mk: Update gnulib
	files.

2010-10-04  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/stdlib_h.m4,
	gl/m4/sys_wait_h.m4, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/sys_stat.in.h, gl/sys_wait.in.h, lib/gllib/stdint.in.h: Update
	gnulib files.

2010-09-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/Makefile.am, gl/m4/sys_wait_h.m4, gl/sys_wait.in.h: 
	Update gnulib files.

2010-09-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, doc/libtasn1.texi: doc: Fix bug reporting
	address to point at help-libtasn1@gnu.org.

2010-09-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am: tests: Link to gnulib to avoid build
	error related to 'rpl_ftello' on Solaris.  Reported by Dagobert Michelsen.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.8.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix release target.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/pmccabe2html: Update gnulib files.

2010-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-09-21  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/pmccabe2html, doc/fdl-1.3.texi,
	gl/Makefile.am, gl/ftello.c, gl/lseek.c, gl/m4/asm-underscore.m4,
	gl/m4/ftello.m4, gl/m4/getopt.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/lseek.m4,
	gl/m4/malloc.m4, gl/m4/realloc.m4, gl/m4/stdarg.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_wait_h.m4, gl/m4/time_h.m4, gl/m4/wchar_t.m4,
	gl/m4/wint_t.m4, gl/malloc.c, gl/read-file.c, gl/realloc.c,
	gl/stdio-impl.h, gl/stdio-write.c, gl/stdio.in.h, gl/stdlib.in.h,
	gl/sys_stat.in.h, gl/sys_wait.in.h, gl/time.in.h, gl/unistd.in.h,
	lib/gllib/string.in.h, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/include_next.m4,
	lib/glm4/ld-version-script.m4, lib/glm4/visibility.m4,
	lib/glm4/wchar_t.m4, lib/glm4/wint_t.m4, maint.mk: Update gnulib
	files.

2010-06-15  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/m4/stdint.m4, gtk-doc.make, lib/glm4/stdint.m4,
	maint.mk: Update gnulib files.  Fix syntax-check warnings.

2010-06-15  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Fix text.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump version.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/announce.txt: Update announcement for v2.7.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.7.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/gendocs_template,
	gl/override/doc/gendocs_template.diff: Build gtk-doc PDF by default
	and publish it.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, gtk-doc.make, m4/gtk-doc.m4: Upgrade
	GTK-DOC files to get PDF files.

2010-05-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/c++defs.h, build-aux/gendocs.sh,
	build-aux/vc-list-files, configure.ac, doc/gendocs_template,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4,
	gl/unistd.in.h, gl/wchar.in.h, lib/gllib/wchar.in.h,
	lib/glm4/gnulib-common.m4, m4/valgrind.m4, maint.mk: Update gnulib
	files, use valgrind-tests module.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* lib/glm4/visibility.m4: Update gnulib files.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Re-add doc for asn1_check_version after move to
	separate file.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump version.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.6.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.6.

2010-04-20  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/getopt_int.h, maint.mk: Update gnulib files.

2010-04-14  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Fix links.

2010-04-14  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template, gl/getopt.c, gl/m4/getopt.m4: Update gnulib
	files.

2010-04-14  Simon Josefsson <simon@josefsson.org>

	* gl/override/doc/gendocs_template.diff: Fix GTK-DOC API location.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* windows/libtasn1/libtasn1.vcproj: Add version.c.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, NEWS, README, README-alpha, THANKS, doc/TODO,
	examples/asn1Coding_test.asn, lib/element.h, lib/gstr.h,
	lib/parser_aux.h, lib/structure.h, tests/Test_encoding.asn,
	tests/Test_tree.asn, tests/pkix.asn: Add license notes to files.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* tests/Test_parser.asn: Reorder license header, for some reason the
	Test_parser fails otherwise.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add people, based on git log reading.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c, lib/libtasn1.h, src/asn1Coding.c,
	src/asn1Decoding.c, src/asn1Parser.c, tests/Test_errors.c: Indent
	code.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* .x-sc_trailing_blank: Add.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, configure.ac, doc/libtasn1.texi,
	doc/reference/libtasn1-docs.sgml, doc/texinfo.css,
	examples/CertificateExample.c, examples/CrlExample.c,
	examples/pkix.asn, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/libtasn1.map, lib/parser_aux.c, src/Makefile.am,
	tests/Test_tree.asn, tests/pkix.asn: Indent examples.  Fix
	syntax-check warnings.

2010-04-13  Simon Josefsson <simon@josefsson.org>

	* .x-sc_prohibit_empty_lines_at_EOF, GNUmakefile,
	build-aux/c++defs.h, build-aux/warn-on-use.h, cfg.mk,
	examples/pkix.asn, gl/Makefile.am, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4,
	gl/stdlib.in.h, gl/unistd.in.h, gl/wchar.in.h,
	lib/gllib/Makefile.am, lib/gllib/string.in.h, lib/gllib/wchar.in.h,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/string_h.m4, maint.mk, tests/Test_parser.asn: Update gnulib
	files, fix new syntax-check warnings, add license.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/threadsafety: Add threadsafety self
	check.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* m4/valgrind.m4: Sync valgrind.m4.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Export libtasn1_* too, for backwards
	compatibility functions.  Reported by ludo@gnu.org (Ludovic Courtès).

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/cyclo-libtasn1.html: Remove generated file.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Fix @acronym usage.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* .x-sc_texinfo_acronym: Add.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* build-aux/warn-on-use.h, gl/Makefile.am, gl/getopt.c,
	gl/gettext.h, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/stddef_h.m4, gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4,
	gl/m4/wchar_h.m4, gl/stdint.in.h, gl/stdlib.in.h, gl/unistd.in.h,
	lib/gllib/stdint.in.h, lib/glm4/gnulib-common.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/stddef_h.m4,
	lib/glm4/string_h.m4, lib/glm4/visibility.m4, lib/glm4/wchar_h.m4,
	maint.mk: Update gnulib files.

2010-03-30  Simon Josefsson <simon@josefsson.org>

	* THANKS, lib/Makefile.am: Link to gnulib library.  Reported by ludo@gnu.org (Ludovic Courtès).

2010-03-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-03-16  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/Test_errors.c: tests/Test_errors: Add,
	for more error checking.

2010-03-16  Simon Josefsson <simon@josefsson.org>

